Bug 112218 - kernel BUG at highmem.c:145! following at highmem.c:63!
kernel BUG at highmem.c:145! following at highmem.c:63!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-16 07:18 EST by Uwe Melzer
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uwe Melzer 2003-12-16 07:18:06 EST
Description of problem:
we got BUG messages in the system log file /var/log/messages.
All running processes seems to work well. at fist a sh login was
possible. commands such ps, top hangs and did not come back. ping also
works well. after some tries to monitor the system, no more sh login
was possible. a reboot hangs also. we can only start a cold reset.
please see above the messages and dmesg log file of the server.

How reproducible:
sometimes, but not always.

Steps to Reproduce:
'ps axuwwww' or 'top'
  
Actual results:
the command did not come back, if the system was in this status and
the BUG occoured the first time. some commands such 'ls', 'df' works well.

Expected results:
output of the process list, or status of the system per 'top'

Additional info:
excerpt from /var/log/messages:
Dec 15 23:15:44 ssps01 kernel:  ------------[ cut here ]------------
Dec 15 23:15:44 ssps01 kernel: kernel BUG at highmem.c:145!
Dec 15 23:15:44 ssps01 kernel: invalid operand: 0000
Dec 15 23:15:44 ssps01 kernel: iptable_filter ip_tables drbd autofs
r8169 3c2000 keybdev mousedev hid input usb-uhci ehci-hcd usbcore ext
3 jbd FastTrak sd_mod scsi_mod
Dec 15 23:15:44 ssps01 kernel: CPU:    0
Dec 15 23:15:44 ssps01 kernel: EIP:    0060:[<c0144ba0>]    Not tainted
Dec 15 23:15:44 ssps01 kernel: EFLAGS: 00010246
Dec 15 23:15:44 ssps01 kernel:
Dec 15 23:15:44 ssps01 kernel: EIP is at kmap_high [kernel] 0x30
(2.4.20-8)
Dec 15 23:15:44 ssps01 kernel: eax: 000000d0   ebx: fe0d0000   ecx:
00000000   edx: c039d6a0
Dec 15 23:15:44 ssps01 kernel: esi: c2197288   edi: f6246ba8   ebp:
d14ebf74   esp: d14ebee4
Dec 15 23:15:44 ssps01 kernel: ds: 0068   es: 0068   ss: 0068
Dec 15 23:15:44 ssps01 kernel: Process sshd (pid: 29619,
stackpage=d14eb000)
Dec 15 23:15:44 ssps01 kernel: Stack: f79ce280 000000a1 c013468c
00000000 c2197288 00001000 000000a1 c2197288
Dec 15 23:15:44 ssps01 kernel:        f6246ba8 00000000 c013409e
d14ebf74 c2197288 00000000 000000a1 000000a1
Dec 15 23:15:44 ssps01 kernel:        00000001 00000000 00000000
f6246b00 00000000 c01345c0 d14ebf74 f6dea420
Dec 15 23:15:44 ssps01 kernel: Call Trace:   [<c013468c>]
file_read_actor [kernel] 0xcc (0xd14ebeec))
Dec 15 23:15:44 ssps01 kernel: [<c013409e>] do_generic_file_read
[kernel] 0x22e (0xd14ebf0c))
Dec 15 23:15:44 ssps01 kernel: [<c01345c0>] file_read_actor [kernel]
0x0 (0xd14ebf38))
Dec 15 23:15:44 ssps01 kernel: [<c0134750>] generic_file_read [kernel]
0xb0 (0xd14ebf58))
Dec 15 23:15:44 ssps01 kernel: [<c01345c0>] file_read_actor [kernel]
0x0 (0xd14ebf68))
Dec 15 23:15:44 ssps01 kernel: [<c0146d53>] sys_read [kernel] 0xa3
(0xd14ebf94))
Dec 15 23:15:44 ssps01 kernel: [<c0109537>] system_call [kernel] 0x33
(0xd14ebfc0))
Dec 15 23:15:44 ssps01 kernel:
Dec 15 23:15:44 ssps01 kernel:
Dec 15 23:15:44 ssps01 kernel: Code: 0f 0b 91 00 c2 f0 25 c0 eb ec 8d
b6 00 00 00 00 89 04 24 e8
Dec 15 23:15:44 ssps01 kernel:  ------------[ cut here ]------------
Dec 15 23:15:44 ssps01 kernel: kernel BUG at highmem.c:63!
Dec 15 23:15:44 ssps01 kernel: invalid operand: 0000
Dec 15 23:15:44 ssps01 kernel: iptable_filter ip_tables drbd autofs
r8169 3c2000 keybdev mousedev hid input usb-uhci ehci-hcd usbcore ext
3 jbd FastTrak sd_mod scsi_mod
Dec 15 23:15:44 ssps01 kernel: CPU:    0
Dec 15 23:15:44 ssps01 kernel: EIP:    0060:[<c0144b46>]    Not tainted
Dec 15 23:15:44 ssps01 kernel: EFLAGS: 00010246
Dec 15 23:15:44 ssps01 kernel:
Dec 15 23:15:44 ssps01 kernel: EIP is at flush_all_zero_pkmaps
[kernel] 0x56 (2.4.20-8)
Dec 15 23:15:44 ssps01 kernel: eax: 00000000   ebx: c0002000   ecx:
000000d0   edx: 001d3d06
Dec 15 23:15:44 ssps01 kernel: esi: c039d6a0   edi: c20d7770   ebp:
00000001   esp: d0ddfb14
Dec 15 23:15:44 ssps01 kernel: ds: 0068   es: 0068   ss: 0068
Dec 15 23:15:44 ssps01 kernel: Process sed (pid: 29710,
stackpage=d0ddf000)
Dec 15 23:15:44 ssps01 kernel: Stack: d0dde000 d0ddfb30 c0145125
ffff7ff0 bfffce60 f6fc2d00 64f1d067 00000296
Dec 15 23:15:44 ssps01 kernel:        ffff7ff0 00000296 c46c4bf8
00000000 00000000 d0dde000 c0144bb8 c20d7770
Dec 15 23:15:44 ssps01 kernel:        c20d7770 c01181e7 00000000
00001000 c2614e88 e7dbf080 0805de1c c8dfb380
Dec 15 23:15:44 ssps01 kernel: Call Trace:   [<c0145125>]
map_new_virtual [kernel] 0x105 (0xd0ddfb1c))
Dec 15 23:15:44 ssps01 kernel: [<c0144bb8>] kmap_high [kernel] 0x48
(0xd0ddfb4c))
Dec 15 23:15:44 ssps01 kernel: [<c01181e7>] pte_alloc_one [kernel]
0xa7 (0xd0ddfb58))
Dec 15 23:15:44 ssps01 kernel: [<c012ebf0>] pte_alloc_map [kernel]
0xa0 (0xd0ddfb74))
Dec 15 23:15:44 ssps01 kernel: [<c013093e>] handle_mm_fault [kernel]
0x4e (0xd0ddfb8c))
Dec 15 23:15:44 ssps01 kernel: [<c011735c>] do_page_fault [kernel]
0x16c (0xd0ddfba8))
Dec 15 23:15:44 ssps01 kernel: [<c011735c>] do_page_fault [kernel]
0x16c (0xd0ddfbbc))
Dec 15 23:15:44 ssps01 kernel: [<c024a5a2>] rb_insert_color [kernel]
0xd2 (0xd0ddfbdc))
Dec 15 23:15:44 ssps01 kernel: [<c01171f0>] do_page_fault [kernel] 0x0
(0xd0ddfbfc))
Dec 15 23:15:44 ssps01 kernel: [<c0109628>] error_code [kernel] 0x34
(0xd0ddfc04))
Dec 15 23:15:44 ssps01 kernel: [<c0248fb3>] clear_user [kernel] 0x33
(0xd0ddfc38))
Dec 15 23:15:44 ssps01 kernel: [<c01171f0>] do_page_fault [kernel] 0x0
(0xd0ddfc64))
Dec 15 23:15:44 ssps01 kernel: [<c0109628>] error_code [kernel] 0x34
(0xd0ddfc6c))
Dec 15 23:15:44 ssps01 kernel: [<c0248fb3>] clear_user [kernel] 0x33
(0xd0ddfca0))
Dec 15 23:15:44 ssps01 kernel: [<c0166a28>] padzero [kernel] 0x28
(0xd0ddfcb4))
Dec 15 23:15:44 ssps01 kernel: [<c0167724>] load_elf_binary [kernel]
0x564 (0xd0ddfcc0))
Dec 15 23:15:44 ssps01 kernel: [<c011ca1e>] ll_copy_from_user [kernel]
0x4e (0xd0ddfde0))
Dec 15 23:15:44 ssps01 kernel: [<c01671c0>] load_elf_binary [kernel]
0x0 (0xd0ddfdf0))
Dec 15 23:15:44 ssps01 kernel: [<c014ffc2>] search_binary_handler
[kernel] 0x102 (0xd0ddfdfc))
Dec 15 23:15:44 ssps01 kernel: [<c01501cb>] do_execve [kernel] 0x17b
(0xd0ddfe44))
Dec 15 23:15:44 ssps01 kernel: [<c0107c00>] sys_execve [kernel] 0x50
(0xd0ddffa4))
Dec 15 23:15:44 ssps01 kernel: [<c0109537>] system_call [kernel] 0x33
(0xd0ddffc0))
Dec 15 23:15:44 ssps01 kernel:
Dec 15 23:15:44 ssps01 kernel:
Dec 15 23:15:44 ssps01 kernel: Code: 0f 0b 3f 00 c2 f0 25 c0 c1 e8 0c
8d 14 c5 00 00 00 00 29 c2

the dmesg log file after the cold restart:
Linux version 2.4.20-8 (bhcompile@porky.devel.redhat.com) (gcc version
3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Mar 13 17:54:28 EST
 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007ff30000 (usable)
 BIOS-e820: 000000007ff30000 - 000000007ff40000 (ACPI data)
 BIOS-e820: 000000007ff40000 - 000000007fff0000 (ACPI NVS)
 BIOS-e820: 000000007fff0000 - 0000000080000000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
1151MB HIGHMEM available.
896MB LOWMEM available.
On node 0 totalpages: 524080
zone(0): 4096 pages.
zone(1): 225280 pages.
zone(2): 294704 pages.
Kernel command line: auto BOOT_IMAGE=linux ro
BOOT_FILE=/boot/vmlinuz-2.4.20-8 ide0=0x1f0,0x3f6,14
ide1=0x170,0x376,15 ide2=0 ide3=0 ide4
=0 ide5=0 ide6=0 ide7=0 ide8=0 ide9=0 root=LABEL=/
ide_setup: ide0=0x1f0,0x3f6,14

ide_setup: ide1=0x170,0x376,15

ide_setup: ide2=0

ide_setup: ide3=0

ide_setup: ide4=0

ide_setup: ide5=0

ide_setup: ide6=0

ide_setup: ide7=0

ide_setup: ide8=0

ide_setup: ide9=0

Initializing CPU#0
Detected 2992.566 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 5976.88 BogoMIPS
Memory: 2059672k/2096320k available (1347k kernel code, 32036k
reserved, 999k data, 132k init, 1178816k highmem)
Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode cache hash table entries: 131072 (order: 8, 1048576 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer-cache hash table entries: 131072 (order: 7, 524288 bytes)
Page-cache hash table entries: 524288 (order: 9, 2097152 bytes)
CPU: Trace cache: 12K uops, L1 D cache: 8K
CPU: L2 cache: 512K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: bfebfbff 00000000 00000000 00000000
CPU:             Common caps: bfebfbff 00000000 00000000 00000000
CPU: Intel(R) Pentium(R) 4 CPU 3.00GHz stepping 09
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=2
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Ignoring BAR0-3 of IDE controller 00:1f.2
Transparent bridge - Intel Corp. 82801BA/CA/DB PCI Bridge
PCI: Using IRQ router default [8086/24d0] at 00:1f.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Starting kswapd
allocated 32 pages and 32 bhs reserved for the highmem bounces
VFS: Disk quotas vdquot_6.5.1
Detected PS/2 Mouse Port.
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT
SHARE_IRQ SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
PDC20270: IDE controller at PCI slot 02:0b.0
PDC20270: chipset revision 2
PDC20270: not 100% native mode: will probe irqs later
PDC20270: ROM enabled at 0xfeae0000
PDC20270: too many IDE interfaces, no room in table
PDC20270: too many IDE interfaces, no room in table
PDC20270: neither IDE port enabled (BIOS)
hda: GCR-8523B, ATAPI CD/DVD-ROM drive
ide2: ports already in use, skipping probe
ide3: ports already in use, skipping probe
ide4: ports already in use, skipping probe
ide5: ports already in use, skipping probe
ide6: ports already in use, skipping probe
ide7: ports already in use, skipping probe
ide8: ports already in use, skipping probe
ide9: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.99.newide
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 16384 buckets, 128Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 260k freed
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
PROMISE FastTrak Series Linux Driver Version 1.03.0.1
scsi0 : FastTrak
  Vendor: Promise   Model: 1X2 Mirror/RAID1  Rev: 1.10
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
SCSI device sda: 158203125 512-byte hdwr sectors (81000 MB)
Partition check:
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 sda10 sda11 sda12
sda13 >
Journalled Block Device driver loaded
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery. 
kjournald starting.  Commit interval 5 seconds
EXT3-fs: sd(8,1): orphan cleanup on readonly fs
ext3_orphan_cleanup: deleting unreferenced inode 148159
EXT3-fs: sd(8,1): 1 orphan inode deleted
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 132k freed
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
PCI: Setting latency timer of device 00:1d.7 to 64
ehci-hcd 00:1d.7: PCI device 8086:24dd (Intel Corp.)
ehci-hcd 00:1d.7: irq 11, pci mem f8886c00
usb.c: new USB bus registered, assigned bus number 1
ehci-hcd 00:1d.7: enabled 64bit PCI DMA
PCI: 00:1d.7 PCI cache line size set incorrectly (0 bytes) by BIOS/FW.
PCI: 00:1d.7 PCI cache line size corrected to 128.
ehci-hcd 00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2003-Jan-22
hub.c: USB hub found
hub.c: 8 ports detected
usb-uhci.c: $Revision: 1.275 $ time 17:59:01 Mar 13 2003
usb-uhci.c: High bandwidth mode enabled
PCI: Setting latency timer of device 00:1d.0 to 64
usb-uhci.c: USB UHCI at I/O 0xef00, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Setting latency timer of device 00:1d.1 to 64
usb-uhci.c: USB UHCI at I/O 0xef20, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 3
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Setting latency timer of device 00:1d.2 to 64
usb-uhci.c: USB UHCI at I/O 0xef40, IRQ 5
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 4
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Setting latency timer of device 00:1d.3 to 64
usb-uhci.c: USB UHCI at I/O 0xef80, IRQ 10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 5
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,1), internal journal
Adding Swap: 5245212k swap-space (priority -1)
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,2), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Comment 1 Arjan van de Ven 2003-12-16 07:34:48 EST
You seem to be using the Fasttrack binary only kernel module....
Comment 2 Bugzilla owner 2004-09-30 11:41:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.